Yesod.Auth

# Subsite

data Auth

type AuthRoute

data family Route a :: *

data AuthPlugin master

getAuth

class YesodAuth master

class YesodAuthPersist master

# Plugin interface

data Creds master

setCreds

setCredsRedirect

clearCreds

loginErrorMessage

loginErrorMessageI

# User functions

data AuthenticationResult master

defaultMaybeAuthId

defaultLoginHandler

maybeAuthPair

maybeAuth

requireAuthId

requireAuthPair

requireAuth

# Exception

data AuthException

# Helper

type AuthHandler master a

# Internal

credsKey

provideJsonMessage

messageJson401

asHtml